Page MenuHomePhabricator

[PagePreparation] Categories should be a part of page template and tagged with {{#translation}}
Closed, ResolvedPublic

Description

Author: pr4tiklahoti

Description:
Categories present in the page should be excluded from appearing at Special:Translate by having them as a part of the page template. They should also be tagged with {{translation}} template to get added in the respective language category.

For example:

[[Category:Help|Special pages]]

should be substituted by:

</translate>
[[Category:Help{{translation}}|Special pages]]
<translate>


Version: unspecified
Severity: normal

Details

Reference
bz66880
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:26 AM
bzimport set Reference to bz66880.
bzimport created this task.Jun 20 2014, 2:19 PM

Change 140926 had a related patch set uploaded by BPositive:
[PagePreparation] Categories kept as a part of page template

https://gerrit.wikimedia.org/r/140926

You can't actually rely on {{þranslation}} being present. If you want to use that kind of functionality, it needs to be implemented in Translate extension. The natural way would be to make a magic word. I think a separate bug should be created to track the implementation of such a magic word.

BPositive,

(Niklas Laxström from comment #2)

I think a separate
bug should be created to track the implementation of such a magic word.

Change 140926 had a related patch set uploaded (by Nikerabbit):
[PagePreparation] Categories kept as a part of page template

https://gerrit.wikimedia.org/r/140926

Patch-For-Review

Change 140926 merged by jenkins-bot:
[PagePreparation] Categories kept as a part of page template

https://gerrit.wikimedia.org/r/140926

Nikerabbit closed this task as Resolved.Feb 14 2015, 12:47 PM
Nikerabbit claimed this task.